Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.mule.impl.annotations
Enum ObjectScope

    java.lang.Object
      java.lang.Enum<ObjectScope>
          org.mule.impl.annotations.ObjectScope

All Implemented Interfaces:
  Serializable, Comparable<ObjectScope>

    public enum ObjectScope

extends Enum<ObjectScope>

Object component scopes

Enum Constant Summary
`POOLED`
`REQUEST`
`SINGLETON`
`SINGLETON_THREADSAFE`

Method Summary
`static ObjectScope` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ObjectScope[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### REQUEST

    public static final ObjectScope REQUEST

### SINGLETON

    public static final ObjectScope SINGLETON

### SINGLETON_THREADSAFE

    public static final ObjectScope SINGLETON_THREADSAFE

### POOLED

    public static final ObjectScope POOLED

Method Detail

### values

    public static final ObjectScope[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ObjectScope c : ObjectScope.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ObjectScope valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.